Skip to main content
POST
/
api2
/
v1
/
termBases
/
{termBaseUid}
/
concepts
Create concept
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "conceptNote": "<string>",
  "customFields": [
    {
      "fieldName": "<string>",
      "value": {}
    }
  ],
  "definition": "<string>",
  "subdomains": [
    {
      "uid": "3HYnHHLkTPJfMxBCDbPXFe"
    }
  ],
  "url": "<string>"
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts"

payload = {
"conceptNote": "<string>",
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"subdomains": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"url": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conceptNote: '<string>',
customFields: [{fieldName: '<string>', value: {}}],
definition: '<string>',
subdomains: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
url: '<string>'
})
};

fetch('https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "conceptNote": "<string>",
  "customFields": [
    {
      "fieldName": "<string>",
      "value": {}
    }
  ],
  "definition": "<string>",
  "domain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "id": "<string>",
  "subdomains": [
    {
      "id": "<string>",
      "name": "<string>",
      "uid": "<string>"
    }
  ],
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

termBaseUid
string
required

Term base UID

Body

application/json
conceptNote
string
customFields
object[]
definition
string
domain
object

Reference to an object by its unique identifier

subdomains
object[]
url
string

Response

Created

conceptNote
string
customFields
object[]
definition
string
domain
object
id
string
subdomains
object[]
url
string